<template>
    <label>
        <span class="sr-only">{{ label }}</span>
        <input
            :value="value"
            :name="name"
            :placeholder="placeholder"
            :required="required"
            type="password"
            id="inputPassword"
            class="form-control last"
            @input="event => $emit('change', event.target.value)"
        >
    </label>
</template>

<script>
    export default {
        name: "PasswordInput",
        props: {
            value: String,
            name: String,
            required: Boolean,
            placeholder: String,
            label: String
        },
        model: {
            prop: 'value',
            event: 'change'
        }
    }
</script>

<style scoped>
    label {
        width: 100%;
    }
</style>
